CREATE TABLE cz_ui_templ_parameters_b (
    PARAMETER_ID                NUMBER(18, 0) ,
    START_TEMPLATE_VERSION      NUMBER(18, 0) ,
    END_TEMPLATE_VERSION        NUMBER(18, 0) ,
    NAME                        VARCHAR2(1020)    NOT NULL,
    DESCRIPTION                 VARCHAR2(4000),
    SEQUENCE_NUMBER             NUMBER(18, 0)     NOT NULL,
    REQUIRED_FLAG               VARCHAR2(4)       NOT NULL,
    PARAMETER_TYPE              VARCHAR2(120)     NOT NULL,
    DEFAULT_NUMERIC_VALUE       NUMBER        ,
    UI_TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    PARAM_VALUES_LOOKUP_CODE    VARCHAR2(120) ,
    DELETED_FLAG                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    PARAMETER_ID                NUMBER(18, 0) ,
    START_TEMPLATE_VERSION      NUMBER(18, 0) ,
    END_TEMPLATE_VERSION        NUMBER(18, 0) ,
    NAME                        VARCHAR2(1020)    NOT NULL,
    DESCRIPTION                 VARCHAR2(4000),
    SEQUENCE_NUMBER             NUMBER(18, 0)     NOT NULL,
    REQUIRED_FLAG               VARCHAR2(4)       NOT NULL,
    PARAMETER_TYPE              VARCHAR2(120)     NOT NULL,
    DEFAULT_NUMERIC_VALUE       NUMBER        ,
    UI_TEMPLATE_ID              NUMBER(18, 0)     NOT NULL,
    DELETED_FLAG                NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    PARAM_VALUES_LOOKUP_CODE    VARCHAR2(120) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cz_ui_templ_parameters_b PRIMARY KEY (PARAMETER_ID, START_TEMPLATE_VERSION, PARAMETER_ID, START_TEMPLATE_VERSION)
);
